Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004486 [JEDI VCL] 00 JVCL Components major always 2008-09-29 04:53 2009-04-15 20:20
Reporter alexn View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.34
Summary 0004486: TJvInspector: Lost input focus in MDI never comes back
Description If TJvInspector looses input focus in MDI application by switching to another window, when switching back you cannot input anything into the cell, and any click into the active input cell does nothing. It seems that editor control goes backside and cannot get to the front again.

You have to click mouse somewhere outside the present cell and then click again to the cell you need to get focus back.

Please check the same demo I posted to the issue about "invalid pointer operation".
Additional Information
Tags No tags attached.
Attached Files zip file icon FailTest.zip [^] (383,117 bytes) 2008-10-06 06:01

- Relationships
related to 0004429resolvedobones Invalid pointer operation in TJvInspector (3.34 and 3.33) 

-  Notes
(0014725)
obones (administrator)
2008-09-29 06:45

Please post the zipped sources of a sample application showing this.
(0014765)
alexn (reporter)
2008-10-06 06:02

Please see files attached.
(0014932)
obones (administrator)
2008-10-29 06:25

Thanks for the demo
(0015153)
obones (administrator)
2008-12-22 05:45

Seeing it with the current SVN content.
Please try to propose a patch for this.
(0015418)
AHUser (developer)
2009-04-15 20:20

Fixed in SVN.

- Issue History
Date Modified Username Field Change
2008-09-29 04:53 alexn New Issue
2008-09-29 06:45 obones Note Added: 0014725
2008-09-29 06:45 obones Status new => feedback
2008-10-06 06:01 alexn File Added: FailTest.zip
2008-10-06 06:02 alexn Note Added: 0014765
2008-10-29 06:25 obones Note Added: 0014932
2008-10-29 06:25 obones Status feedback => acknowledged
2008-12-22 05:42 obones Relationship added related to 0004429
2008-12-22 05:45 obones Note Added: 0015153
2008-12-22 05:45 obones Status acknowledged => confirmed
2009-04-15 20:20 AHUser Note Added: 0015418
2009-04-15 20:20 AHUser Status confirmed => resolved
2009-04-15 20:20 AHUser Fixed in Version => Daily / SVN
2009-04-15 20:20 AHUser Resolution open => fixed
2009-04-15 20:20 AHUser Assigned To => AHUser


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker